## org.eclipse.datatools.connectivity.oda.consumer.util.manifest
Class PropertyProviderManifest

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.consumer.util.manifest.PropertyProviderManifest

    public class PropertyProviderManifest

extends java.lang.Object

Encapsulates access to the manifest content of an ODA consumer extension of the helper's propertyProvider extension point.

Method Summary
`IPropertyProvider` `createProvider()` Instantiates the property provider implemented by an ODA consumer extension of the propertyProvider extension point.
`java.lang.String` `getApplicationId()` Returns the consumer application id for which this extension is implemented.
`java.lang.String` `getNamespace()` Returns the namespace of the plugin that contributes this extension.
`java.lang.String` `getProviderClassName()` Returns the application-specific service provider class name that implements the IPropertyProvider interface for the extension.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Returns the namespace of the plugin that contributes this extension.

  Returns:

### getApplicationId

    public java.lang.String getApplicationId()

  Returns the consumer application id for which this extension is implemented.

  Returns:

### getProviderClassName

    public java.lang.String getProviderClassName()

  Returns the application-specific service provider class name that implements the IPropertyProvider interface for the extension.

  Returns:

### createProvider

    public IPropertyProvider createProvider()
                                     throws OdaException

  Instantiates the property provider implemented by an ODA consumer extension of the propertyProvider extension point.

  Returns:
    an instance of the IPropertyProvider interface
  Throws:
    `OdaException`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.